name: unicblue/member-list
typeName: unicblue_memberlist
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: members
    type: Collection
    labelField: name
    minitems: 1
    maxitems: 50
    fields:
      -
        identifier: name
        type: Text
        required: true
      -
        identifier: position
        type: Text
      -
        identifier: bodytext
        type: Textarea
        enableRichtext: true
        rows: 4
      -
        identifier: image
        type: File
        allowed: common-image-types
        minitems: 0
        maxitems: 1
      -
        identifier: link
        type: Link
      -
        identifier: link_title
        type: Text
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: image_stretch
    type: Checkbox
    default: 0
  -
    identifier: layout
    type: Select
    translatable: false
    renderType: selectSingle
    default: standard
    items:
      - label: LLL:EXT:hks/ContentBlocks/ContentElements/member-list/language/labels.xlf:layout.items.standard
        value: standard
      - label: LLL:EXT:hks/ContentBlocks/ContentElements/member-list/language/labels.xlf:layout.items.two-columns
        value: two-columns
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
